
Gear = Core.class(Bitmap)

-- create a new gear
function Gear:init(texture, speedX, speedY, x, y)
	stage:addChild(self)
  
  local w, h = self:getWidth(), self:getHeight()
  self.w, self.h = w, h
  
	self.x = x - (w * 0.5)
	self.y = y - (h * 0.5)
  
  self.speedX = speedX
	self.speedY = speedY
  
  self:setPosition(self.x, self.y)
end

function Gear:dispose()
    self:removeFromParent()
end

-- update every frame
function Gear:update(event)
  local x = self.x + self.speedX -- get new position
  local y = self.y + self.speedY
  
  if y > 576 then
    -- left bottom of screen
    self:dispose()
  else
    self.x, self.y = x, y -- set position
    self:setPosition(x, y)
  end
end
